%define upstream_name    Danga-Socket
%define upstream_version 1.62

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Event loop and event-driven async socket base class
License:    GPL+ and Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Danga/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Poll)
BuildRequires: perl(POSIX)
BuildRequires: perl(Socket)
BuildRequires: perl(Sys::Syscall)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::TCP)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(fields)
BuildArch:  noarch

%description
This is an abstract base class for objects backed by a socket which provides 
the basic framework for event-driven asynchronous IO, designed to be fast. 
Danga::Socket is both a base class for objects, and an event loop.

Callers subclass Danga::Socket. Danga::Socket's constructor registers itself 
with the Danga::Socket event loop, and invokes callbacks on the object for 
readability, writability, errors, and other conditions.
Because Danga::Socket uses the "fields" module, your subclasses must too.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc CHANGES META.json META.yml MYMETA.yml examples
%{perl_vendorlib}/Danga
%{_mandir}/man3/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 1.620.0-3.mga9
+ Revision: 1812036
- Mageia 9 Mass Rebuild

* Mon Feb 17 2020 umeabot <umeabot> 1.620.0-2.mga8
+ Revision: 1537534
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Nov 05 2019 tv <tv> 1.620.0-1.mga8
+ Revision: 1457751
- update to 1.62

* Wed Sep 19 2018 umeabot <umeabot> 1.610.0-9.mga7
+ Revision: 1266829
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.610.0-8.mga6
+ Revision: 1024787
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 1.610.0-7.mga6
+ Revision: 936515
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.610.0-6.mga5
+ Revision: 750429
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.610.0-5.mga5
+ Revision: 684181
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.610.0-4.mga4
+ Revision: 510536
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.610.0-3.mga3
+ Revision: 365257
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.610.0-2.mga1
+ Revision: 32738
- rebuild

* Fri Jan 21 2011 jquelin <jquelin> 1.610.0-1.mga1
+ Revision: 30059
- mageia rebuild
- imported package perl-Danga-Socket


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 1.610.0-1mdv2010.0
+ Revision: 405959
- rebuild using %%perl_convert_version

* Tue Dec 02 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.61-1mdv2009.1
+ Revision: 309296
- update to new version 1.61

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 1.59-2mdv2009.0
+ Revision: 268407
- rebuild early 2009.0 package (before pixel changes)

* Wed Apr 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.59-1mdv2009.0
+ Revision: 194843
- update to new version 1.59
- update to new version 1.59

* Tue Jan 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.58-1mdv2008.1
+ Revision: 156175
- update to new version 1.58

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue May 01 2007 Olivier Thauvin <nanardon@mandriva.org> 1.57-1mdv2008.0
+ Revision: 19826
- 1.57


* Mon Aug 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.53-1mdv2007.0
- new version
- fix sources URL

* Wed Aug 02 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.52-1mdv2007.0
- New version 1.52
- fix directory ownership

* Sun Apr 30 2006 Michael Scherer <misc@mandriva.org> 1.51-1mdk
- New release 1.51

* Wed Apr 19 2006 Michael Scherer <misc@mandriva.org> 1.50-1mdk
- First Mandriva package

